[Pkg-shadow-commits] sid/debian/patches 118_it.dpatch,1.2,1.3

Christian Perrier pkg-shadow-devel@lists.alioth.debian.org
Wed, 11 May 2005 06:33:08 +0000


Update of /cvsroot/pkg-shadow/sid/debian/patches
In directory haydn:/tmp/cvs-serv26112/patches

Modified Files:
	118_it.dpatch 
Log Message:
Sync with 4.0.3-34 release


Index: 118_it.dpatch
===================================================================
RCS file: /cvsroot/pkg-shadow/sid/debian/patches/118_it.dpatch,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- 118_it.dpatch	10 May 2005 10:03:57 -0000	1.2
+++ 118_it.dpatch	11 May 2005 06:33:06 -0000	1.3
@@ -1,13 +1,31 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 118_it.dpatch by Christian Perrier <bubulle@debian.org>
+#! /bin/sh -e
+## 118_it.dpatch by Danilo Piazzalunga <danilopiazza@libero.it>
 ##
 ## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+## DP: New Italian translation
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
 
 @DPATCH@
-diff -urNad shadow-4.0.3/po/it.po /tmp/dpep.avkDTj/shadow-4.0.3/po/it.po
+diff -urNad shadow-4.0.3/po/it.po /tmp/dpep.B5aPGW/shadow-4.0.3/po/it.po
 --- shadow-4.0.3/po/it.po	1970-01-01 01:00:00.000000000 +0100
-+++ /tmp/dpep.avkDTj/shadow-4.0.3/po/it.po	2005-05-09 18:53:22.000000000 +0200
++++ /tmp/dpep.B5aPGW/shadow-4.0.3/po/it.po	2005-05-10 18:23:56.000000000 +0200
 @@ -0,0 +1,2523 @@
 +# Italian translations for shadow package.
 +# Copyright (C) 2004 Free Software Foundation, Inc.